Bug 636170 - tigervnc-server does not actually need xorg-x11-fonts-misc
tigervnc-server does not actually need xorg-x11-fonts-misc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F14Target-kde F14-accepted/F14FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2010-09-21 11:28 EDT by Adam Jackson
Modified: 2013-04-30 19:47 EDT (History)
6 users (show)

See Also:
Fixed In Version: tigervnc-1.0.90-0.22.20100813svn4123.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-05 09:04:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2010-09-21 11:28:01 EDT
Description of problem:

The dependency on -fonts-misc appears to have been introduced as part of a suite of fixes for bug #496786.  However, if I construct a mock chroot with tigervnc-server in it, and forcibly remove the -fonts-misc package, I can still start Xvnc in that chroot just fine.

I suspect the root cause here is that we're starting Xvnc without the "built-ins" element in the font path:

root      6181  0.0  0.2  64312  7816 ?        S    11:28   0:00 /usr/bin/Xvnc :1 -desktop synephrine:1 (root) -auth /builddir/.Xauthority -geometry 1280x876 -depth 16 -rfbwait 30000 -rfbauth /builddir/.vnc/passwd -rfbport 5901 -fp catalogue:/etc/X11/fontpath.d -pn

which means that we wouldn't pick up the mandatory fixed and cursor fonts from libXfont.  However in at least F13 and later we'll always include the builtin fonts even if you don't ask for them.

Version-Release number of selected component (if applicable):

tigervnc-server-1.0.90-0.20.20100813svn4123.fc15.x86_64
Comment 1 Kevin Kofler 2010-09-21 11:50:39 EDT
It shall be added that this is a nonnegligible source of bloat on our live images (xorg-x11-fonts-misc is quite large for a font package).
Comment 2 Adam Tkac 2010-09-21 12:02:00 EDT
(In reply to comment #1)
> It shall be added that this is a nonnegligible source of bloat on our live
> images (xorg-x11-fonts-misc is quite large for a font package).

Ok, I will drop xorg-x11-fonts-misc dependency in F14 & rawhide.
Comment 3 Fedora Update System 2010-09-21 12:14:56 EDT
tigervnc-1.0.90-0.21.20100813svn4123.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tigervnc-1.0.90-0.21.20100813svn4123.fc14
Comment 4 Adam Tkac 2010-09-21 12:16:03 EDT
(In reply to comment #3)
> tigervnc-1.0.90-0.21.20100813svn4123.fc14 has been submitted as an update for
> Fedora 14.
> https://admin.fedoraproject.org/updates/tigervnc-1.0.90-0.21.20100813svn4123.fc14

It is actually fixed in tigervnc-1.0.90-0.22.20100813svn4123.fc14.
Comment 5 Rex Dieter 2010-09-21 12:30:04 EDT
Proposing for inclusion in F14-Beta
Comment 6 Adam Williamson 2010-09-21 13:03:34 EDT
rc3 is in testing now, so if that gets accepted this can't make beta. If we fail validation and have to respin, though, it seems reasonable to have this in the next spin.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Fedora Update System 2010-09-24 18:03:29 EDT
tigervnc-1.0.90-0.22.20100813svn4123.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tigervnc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/tigervnc-1.0.90-0.22.20100813svn4123.fc14
Comment 8 Adam Williamson 2010-09-27 21:44:50 EDT
Beta's now out, so moving from Beta nice-to-have list to Final nice-to-have list.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Adam Williamson 2010-10-01 17:28:45 EDT
This was discussed at the 2010-10-01 blocker / NTH review meeting, and accepted as a nice-to-have.
Comment 10 Fedora Update System 2010-10-05 09:04:03 EDT
tigervnc-1.0.90-0.22.20100813svn4123.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.